summaryrefslogtreecommitdiffstats
path: root/source/xfce/orage
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/xfce/orage
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/xfce/orage')
-rwxr-xr-xsource/xfce/orage/orage.SlackBuild17
-rw-r--r--source/xfce/orage/orage.libical3.diff59
-rw-r--r--source/xfce/orage/slack-desc6
3 files changed, 76 insertions, 6 deletions
diff --git a/source/xfce/orage/orage.SlackBuild b/source/xfce/orage/orage.SlackBuild
index 81e57e0f7..c17be29e2 100755
--- a/source/xfce/orage/orage.SlackBuild
+++ b/source/xfce/orage/orage.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for orage
@@ -22,9 +22,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=orage
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-5}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -34,9 +36,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -67,6 +76,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/orage.libical3.diff.gz | patch -p1 --verbose || exit 1
+
# Yes, libical's pkgconfig file is incomplete, it seems
CFLAGS="$SLKCFLAGS -I/usr/include/libical" \
CXXFLAGS="$SLKCFLAGS -I/usr/include/libical" \
diff --git a/source/xfce/orage/orage.libical3.diff b/source/xfce/orage/orage.libical3.diff
new file mode 100644
index 000000000..af962b367
--- /dev/null
+++ b/source/xfce/orage/orage.libical3.diff
@@ -0,0 +1,59 @@
+diff -up orage-4.12.1/src/ical-code.c.libical-3.0 orage-4.12.1/src/ical-code.c
+--- orage-4.12.1/src/ical-code.c.libical-3.0 2017-11-14 08:41:30.917375493 +0100
++++ orage-4.12.1/src/ical-code.c 2017-11-14 08:41:56.823375135 +0100
+@@ -129,7 +129,6 @@ static struct icaltimetype ical_get_curr
+ && (strcmp(g_par.local_timezone, "floating") != 0))
+ ctime = icaltime_current_time_with_zone(local_icaltimezone);
+ else { / * use floating time * /
+- ctime.is_utc = 0;
+ ctime.is_date = 0;
+ ctime.is_daylight = 0;
+ ctime.zone = NULL;
+@@ -2579,7 +2578,6 @@ static struct icaltimetype count_first_a
+ * when counting alarm time. */
+ if (rel == ICAL_RELATED_START) {
+ per.stime.is_date = 0;
+- per.stime.is_utc = 1;
+ per.stime.is_daylight = 0;
+ per.stime.zone = utc_icaltimezone;
+ per.stime.hour = 0;
+@@ -2588,7 +2586,6 @@ static struct icaltimetype count_first_a
+ }
+ else {
+ per.etime.is_date = 0;
+- per.etime.is_utc = 1;
+ per.etime.is_daylight = 0;
+ per.etime.zone = utc_icaltimezone;
+ per.etime.hour = 0;
+@@ -2613,7 +2610,6 @@ static struct icaltimetype count_next_al
+ /* HACK: convert to UTC time so that we can use time arithmetic
+ * when counting alarm time. */
+ start_time.is_date = 0;
+- start_time.is_utc = 1;
+ start_time.is_daylight = 0;
+ start_time.zone = utc_icaltimezone;
+ start_time.hour = 0;
+@@ -2768,7 +2764,6 @@ static alarm_struct *process_alarm_trigg
+ */
+ if (icaltime_is_date(per.stime)) {
+ if (local_icaltimezone != utc_icaltimezone) {
+- next_alarm_time.is_utc = 0;
+ next_alarm_time.is_daylight = 0;
+ next_alarm_time.zone = local_icaltimezone;
+ }
+@@ -2850,7 +2845,6 @@ orage_message(120, P_N "Alarm rec loop n
+ */
+ if (icaltime_is_date(per.stime)) {
+ if (local_icaltimezone != utc_icaltimezone) {
+- next_alarm_time.is_utc = 0;
+ next_alarm_time.is_daylight = 0;
+ next_alarm_time.zone = local_icaltimezone;
+ }
+@@ -2944,7 +2938,6 @@ orage_message(120, P_N "*****After loop
+ */
+ if (icaltime_is_date(per.stime)) {
+ if (local_icaltimezone != utc_icaltimezone) {
+- next_alarm_time.is_utc = 0;
+ next_alarm_time.is_daylight = 0;
+ next_alarm_time.zone = local_icaltimezone;
+ }
diff --git a/source/xfce/orage/slack-desc b/source/xfce/orage/slack-desc
index 665765d06..5023eae5b 100644
--- a/source/xfce/orage/slack-desc
+++ b/source/xfce/orage/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|